.a-section-toggle {
  position: relative;

  padding: 3.2rem 1.6rem 1.6rem 1.6rem;

  display: flex;
  align-items: center;
  flex-direction: column;

  background: #eef8fc;
  border: 0.1rem solid #d4f0fa;
  border-radius: 2.4rem;
  box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

  transition: opacity 0.1s;

  &::before {
    position: absolute;
    top: -0.2rem;
    left: 3.2rem;
    z-index: 2;

    height: 1.8rem;
    padding: 0 1.2rem;

    display: inline-block;

    color: #526375;
    content: attr(data-index);
    font-size: 1.2rem;
    font-weight: 600;
    letter-spacing: 0.01rem;
    line-height: 1.8rem;

    transform: translateY(-50%);

    pointer-events: none;
  }

  &::after {
    position: absolute;
    top: -0.2rem;
    left: 3.2rem;
    z-index: 1;

    height: 0.9rem;
    padding: 0 1.2rem;

    display: inline-block;

    background: #eef8fc;

    color: transparent;
    content: attr(data-index);

    pointer-events: none;
  }

  &[data-type="add"] {
    background: #fff;
    border: 0.15rem dashed #5cb9d8;

    cursor: pointer;

    &::before,
    &::after {
      display: none;
    }

    &.error {
      border-color: #E92C2C;
    }
  }

  &[data-status="active"] {
    background: #f2f2f8;
    border-color: #8989be;
    box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

    &::after {
      background: #f2f2f8;
    }

    .a-section-toggle {
      &__icons {
        .__icon {
          .__icon-container {
            background: linear-gradient(135deg, #c4c4ed, #6262bc);

            &::before {
              border: 1rem solid #d5dee8;
            }

            &::after {
              border: 1.2rem solid #b3bfce;
            }
          }
        }
      }

      &__bottom {
        .popup-toggle {
          background: #6262bc;

          &.block {
            display: flex;
            flex-direction: row;
            gap: 8px;
            justify-content: center;
            align-items: center;
            .__icon-package {
              width: 26px;
              height: 26px;
              border-radius: 8px;
              background-color: #FFF;
              box-shadow: 0px 4px 4px 0px rgba(76, 95, 168, 0.20);
              display: flex;
              justify-content: center;
              align-items: center;
            }
          }
        }
      }
    }
  }

  &[data-status="unknown"] {
    .a-section-toggle {
      &__brand {
        .brand-image {
          background: linear-gradient(135deg, #d5dee8, #9cabbd);

          &::before {
            border: 1rem solid #d5dee8;
          }

          &::after {
            border: 1.2rem solid #b3bfce;
          }
        }
      }
    }
  }

  &__add {
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    color: #309fc3;
    font-size: 1.8rem;
    font-weight: 600;
    line-height: 2.6rem;

    &[data-feature="unittest"] {
      height: 26.5rem;
    }

    &[data-feature="template"] {
      height: 21.75rem;
    }

    img {
      width: 6.4rem;
      height: 6.4rem;
      margin: 0 0 0.8rem 0;
    }
  }

  &__container {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  &__top {
    width: 100%;
    margin: 0 0 0.8rem 0;

    .info-input {
      width: 100%;
    }
  }

  &__mid {
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: space-evenly;
  }

  &__icons {
    width: 50%;
    // height: 100%;
    height: 17.05rem;
    padding: 1.6rem;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;

    &[data-amount="1"] {
      .__icon {
        width: 100%;
        padding: 100% 0 0 0;

        .__icon-container {
          &::before {
            position: absolute;
            top: -2.4rem;
            left: -1.6rem;
            z-index: 1;

            width: 6rem;
            height: 6rem;

            border: 1rem solid #5cb9d8;
            border-radius: 50%;
            opacity: 0.35;

            content: "";
          }

          &::after {
            position: absolute;
            bottom: -3.4rem;
            right: -3rem;
            z-index: 1;

            width: 8rem;
            height: 8rem;

            border: 1.2rem solid #309fc4;
            border-radius: 50%;
            opacity: 0.5;

            content: "";
          }
        }
      }
    }

    &[data-amount="2"] {
      .__icon {
        &:nth-child(1) {
          transform: translate(-0.2rem, -40%);
        }

        &:nth-child(2) {
          transform: translate(0.2rem, 40%);
        }
      }
    }

    &[data-amount="3"] {
      .__icon {
        &:nth-child(1) {
          transform: translateX(-0.4rem);
        }

        &:nth-child(2) {
          transform: translateX(0.4rem);
        }

        &:nth-child(3) {
          transform: translateY(0.4rem);
        }
      }
    }

    &[data-amount="4"] {
      .__icon {
        &:nth-child(1) {
          transform: translateX(-0.4rem);
        }

        &:nth-child(2) {
          transform: translateX(0.4rem);
        }

        &:nth-child(3) {
          transform: translate(-0.4rem, 0.4rem);
        }

        &:nth-child(4) {
          transform: translate(0.4rem, 0.4rem);
        }
      }
    }

    .__icon {
      position: relative;

      width: 45%;
      height: 0;
      padding: 45% 0 0 0;

      .__badge {
        position: absolute;
        top: 0;
        right: 0;
        z-index: 2;

        min-width: 2.4rem;
        height: 2.4rem;
        padding: 0 0.2rem;

        background: #c96851;
        border: 0.1rem solid #fff;
        border-radius: 1.2rem;

        color: #fff;
        font-size: 1.4rem;
        font-weight: 600;
        line-height: 2.2rem;

        text-align: center;

        transform: translate(25%, -25%);
      }

      .__icon-container {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;

        width: 100%;
        height: 100%;

        overflow: hidden;

        background: linear-gradient(135deg, #99d6ea, #309fc3);
        border-radius: 2.4rem;

        &::before {
          position: absolute;
          top: -2rem;
          left: -2rem;
          z-index: 1;

          width: 6rem;
          height: 6rem;

          border: 1rem solid #5cb9d8;
          border: 1.2rem solid #309fc4;
          border-radius: 50%;
          opacity: 0.35;

          content: "";
        }

        img {
          position: absolute;
          top: 50%;
          left: 50%;
          z-index: 2;

          width: 50%;
          height: 50%;

          object-fit: contain;
          object-position: center;

          transform: translate(-50%, -50%);
        }

        .tmp-icon {
          position: absolute;
          top: 50%;
          left: 50%;
          z-index: 2;

          color: #fff;
          font-size: 3.2rem;
          font-weight: 600;

          transform: translate(-50%, -50%);
        }
      }
    }
  }

  &__inputs {
    width: 50%;

    .info-select {
      width: 100%;
      margin: 0 0 1.6rem 0;

      &:last-child {
        margin: 0;
      }
    }

    .info-input {
      width: 100%;
      margin: 0 0 1.6rem 0;

      &:last-child {
        margin: 0;
      }
    }
  }

  &__bottom {
    width: 100%;
    margin: 0.8rem 0 0 0;

    .popup-toggle {
      width: 100%;
      height: 4rem;

      background: #5cb9d8;
      border-radius: 1rem;
      box-shadow: none;

      color: #fff;
      font-size: 1.4rem;

      &:disabled {
        opacity: 0.6;
      }

      img {
        width: 1.6rem;
        height: 1.6rem;
        margin: 0 0.6rem 0 0;

        object-fit: contain;
        object-position: center;
      }

      &.error {
        background: #E92C2C;
      }
    }
  }

  .delete-btn {
    position: absolute;
    top: 1.2rem;
    right: 1.2rem;

    width: 1.2rem;
    height: 1.2rem;
    padding: 0;

    box-shadow: none;

    transition: all 0.25s;

    img {
      position: absolute;
      top: 0;
      left: 0;

      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }

  &.error-section {
    border-color: #E92C2C;
  }

  &__error-text{
    margin-top: 5px;
    padding-left: 5px;
    span {
      color: #E92C2C;
      font-size: 12px;
      font-weight: 400;
      line-height: 15px;
    }
  }
}
